# dillo-did

[Dillo][] plugin for [did][] ([Decentralized Identifier][did-core]) URIs. Written in [Rust][]. Requires [Rust nightly][]. Build using [Cargo][]. Uses [`ssi`][]/[DIDKit][].

## Screenshot

![dillo-did-key.png](&WqNWKdBcMwCAy4SatQOZ5XoaGu1B4IpUQcZrfFbjJTk=.sha256)

## Install from [git-ssb][]
```
git clone ssb://%T8QyhgamH7fmOiiYV/iWiSRmTDdxXje77teBB2yijGU=.sha256 dillo-did
cd dillo-did
make install
dpidc stop
```
You can also use `make link` instead of `make install`, to install via a symlink.

## Built-in supported [DID methods][]

- [did:key][]
- [did:web][]
- [did:tz][]

## Fallback resolver for additional DID methods

Set environmental variable `DID_RESOLVER` to a URL for a [DID Resolver HTTP(S) endpoint][did-http] - e.g. to an instance of [Universal Resolver][].

## TODO

- Make external resolver URL(s) configurable via a config file
- Render DID documents more nicely

## License

Apache License, Version 2.0

[Dillo]: https://www.dillo.org/
[Rust]: https://www.rust-lang.org/
[Rust nightly]: https://doc.rust-lang.org/stable/book/appendix-07-nightly-rust.html
[Cargo]: https://github.com/rust-lang/cargo
[did]: https://www.iana.org/assignments/uri-schemes/prov/did
[did-core]: https://www.w3.org/TR/did-core/
[git-ssb]: %n92DiQh7ietE+R+X/I403LQoyf2DtR3WQfCkDKlheQU=.sha256
[DIDKit]: https://github.com/spruceid/didkit
[`ssi`]: https://github.com/spruceid/ssi
[did:key]: https://w3c-ccg.github.io/did-method-key/
[did:web]: https://w3c-ccg.github.io/did-method-web/
[did:tz]: https://github.com/spruceid/did-tezos/
[did-http]: https://w3c-ccg.github.io/did-resolution/#bindings-https
[DID methods]: https://w3c.github.io/did-core/#methods
[Universal Resolver]: https://github.com/decentralized-identity/universal-registrar/
